%% Fuzzy_Paper Implementation : 
%  IEEE TRANSACTIONS ON FUZZY SYSTEMS, VOL. 20, NO. 4, AUGUST 2012
%  ---------------------------------------------------------------
%  Softmax activation function 

function z = mysoftmin(x)

    q = -50; 
    z = x.^q;
    mn = mean(z(:));
	z = mn^(1/q);

end


